<?php

namespace Drupal\search_tracking\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\JsonResponse;
use \Drupal\Core\Database\Connection;
use Symfony\Component\HttpFoundation;

/**
 * Provides coordinates and stores in session.
 */
class searchTrackingController extends ControllerBase {

  public function formData() {
    $jsonData = file_get_contents('php://input');
    $keyword = json_decode($jsonData, true);
    if($keyword['name']){
      $connection = \Drupal::service('database');
      $connection->insert('search_tracking')
        ->fields([
          'search' => $keyword['name'],
          'ip_address' => \Drupal::request()->getClientIp(), 
          'created_on' => date('Y-m-d H:i:s', \Drupal::time()->getCurrentTime()),
          // Add more fields as needed.
        ])
        ->execute();
    }
    return new JsonResponse();
  }

  public function search_tracking() {
    $database = \Drupal::database();
    $query = $database->query("SELECT id,search,ip_address,created_on FROM `search_tracking`");
    $result = $query->fetchAll();
    \Drupal::service('page_cache_kill_switch')->trigger();
    return [
      '#theme' => 'search_tracking',
      '#items' => $result,
    ];
  }
}
